on:
  push:
    tags:
      - "**"
jobs:
  docker-build-push:
    runs-on: cth-ubuntu-latest
    steps:
      - name: set up Docker Buildx
        uses: docker/setup-buildx-action@v3
      - name: login to repository
        uses: docker/login-action@v3
        with:
          registry: git.faercol.me
          username: ${{ secrets.DOCKER_LOGIN }}
          password: ${{ secrets.DOCKER_PASSWORD }}
      - name: build and push image
        uses: docker/build-push-action@v6
        with:
          push: true
          tags: git.faercol.me/polyculeconnect/polyculeconnect:${{ gitea.ref_name }}
